var gulp = require('gulp');
var uglify = require('gulp-uglify');
var rename = require('gulp-rename');
var strip = require('gulp-strip-comments');
var header = require('gulp-header');
var license = '/*\n' +
		' * Project: Pin\n' +
		' * Description: Plugin for pin input, each digit is entered into individual input boxes\n' +
		' * Author: https://github.com/sandy0201\n' +
		' * License: MIT\n' +
		' * Version: 0.0.1\n' +
		' * Dependancies: jquery-1.*\n' +
		' * Date: 15/06/2017\n' +
		' */\n';

gulp.task('default', [
	'copy',
	'minify'
]);

gulp.task('copy', function () {
	return gulp.src('src/jquery.pin.js')
			.pipe(strip())
			.pipe(header(license))
			.pipe(gulp.dest('dist'));
});

gulp.task('minify', function () {
	return gulp.src('src/jquery.pin.js')
			.pipe(uglify())
			.pipe(header(license))
			.pipe(rename('jquery.pin.min.js'))
			.pipe(gulp.dest('dist'));
});

gulp.task('watch', function () {
	gulp.watch('src/jquery.pin.js', ['copy']);
	gulp.watch('src/jquery.pin.js', ['minify']);
});